### Function

# FwupdPlugin memread_uint24

#### Declaration [src]

    guint32
    fu_memread_uint24 (
      const guint8* buf,
      FuEndianType endian
    )

#### Description [src]

Read a value from a buffer using a specified endian.

Available since: | 1.8.2

#### Parameters

`buf` | `const guint8*`
| A readable buffer.
| The data is owned by the caller of the function.
`endian` | `FuEndianType`
| An endian type, e.g. `G_LITTLE_ENDIAN`.

#### Return value

Returns: | `guint32`
| A value in host byte-order.